Create Test Plan
Rest path
POST /rest/api/1/testPlans
Body parameter
{ "properties": { "testCaseIssues": { "items": { "type": "string" }, "type": "array" }, "projectId": { "type": "string" }, "issueTypeId": { "type": "string" }, "issueDetails": { "properties": { "fields": { "allOf": [ { "properties": { "summary": { "type": "string" } }, "required": [ "summary" ], "type": "object" }, { "additionalProperties": false, "type": "object", "description": "Issue fields Jira API.\nSee: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-post" } ] } }, "required": [ "fields" ], "type": "object" } }, "required": [ "projectId", "issueTypeId", "issueDetails" ], "type": "object"}Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | CreateTestPlanRequest | true | none |
Example responses
201 Response
{ "properties": { "issueKey": { "type": "string" }, "issueId": { "type": "string" } }, "required": [ "issueKey", "issueId" ], "type": "object"}Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | Created | Inline |
Response Schema
Status Code 201
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » issueKey | string | true | none | none |
| » issueId | string | true | none | none |